Package org.jfree.layouting.input.swing

## Class ConverterAttributeSet

- java.lang.Object
- - javax.swing.text.SimpleAttributeSet
  - - org.jfree.layouting.input.swing.ConverterAttributeSet

-     public class ConverterAttributeSet
      extends javax.swing.text.SimpleAttributeSet

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.swing.text.AttributeSet

      `javax.swing.text.AttributeSet.CharacterAttribute, javax.swing.text.AttributeSet.ColorAttribute, javax.swing.text.AttributeSet.FontAttribute, javax.swing.text.AttributeSet.ParagraphAttribute`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NOT_TYPED` |

    - ### Fields inherited from interface javax.swing.text.AttributeSet

      `NameAttribute, ResolveAttribute`

    - ### Fields inherited from class javax.swing.text.SimpleAttributeSet

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConverterAttributeSet​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAttribute​(java.lang.Object name, java.lang.Object value)` |
    `void` | `addAttribute​(java.lang.Object type, java.lang.Object name, java.lang.Object value)` |
    `void` | `addAttributes​(ConverterAttributeSet attributes)` |
    `javax.swing.text.AttributeSet` | `getAttributesByType​(java.lang.Object type)` |
    `java.util.Map` | `getTypeMap​()` |
    `void` | `removeAttribute​(java.lang.Object name)` |
    `void` | `setTypeMap​(java.util.Map typeMap)` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class javax.swing.text.SimpleAttributeSet

      `addAttributes, clone, containsAttribute, containsAttributes, copyAttributes, equals, getAttribute, getAttributeCount, getAttributeNames, getResolveParent, hashCode, isDefined, isEmpty, isEqual, removeAttributes, removeAttributes, setResolveParent, toString`

- - ### Field Detail

    - #### NOT_TYPED

          public static final java.lang.String NOT_TYPED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConverterAttributeSet

          public ConverterAttributeSet​()

  - ### Method Detail

    - #### addAttribute

          public void addAttribute​(java.lang.Object name,
                                   java.lang.Object value)

      Overrides:
        `addAttribute` in class `javax.swing.text.SimpleAttributeSet`

    - #### addAttribute

          public void addAttribute​(java.lang.Object type,
                                   java.lang.Object name,
                                   java.lang.Object value)

    - #### addAttributes

          public void addAttributes​(ConverterAttributeSet attributes)

    - #### removeAttribute

          public void removeAttribute​(java.lang.Object name)

      Overrides:
        `removeAttribute` in class `javax.swing.text.SimpleAttributeSet`

    - #### getTypeMap

          public java.util.Map getTypeMap​()

    - #### setTypeMap

          public void setTypeMap​(java.util.Map typeMap)

    - #### getAttributesByType

          public javax.swing.text.AttributeSet getAttributesByType​(java.lang.Object type)